Web Browser Compatibility

The system works best if you use any popular web browser that is less than 2 years old, like Firefox, Chrome, and Safari. It will work with other web browsers, and with older versions of the web browsers noted above, however the layout may not be as clean. No functionality will be lost by using an older web browser.
Ask your system administrator if you need help with installing or using a web browser. This documentation presumes that you have a basic knowledge of how to use the web. While using this system, it is not necessary to use the Back button. You can use the toolbar on the top of every screen to navigate the site.

Related Docs

  • FAQs for Researchers

    Read More
  • Email Address Options

    Read More
  • Changing Your Password and Other Information

    Read More